/* -*- mode:c -*- */
/* $Id: os_getlastname.c 551 2010-01-12 19:42:10Z cher $ */

/* Copyright (C) 2004-2010 Alexander Chernov <cher@ejudge.ru> */

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 */

#define __REUSE__ 1

/* internal include directives */
#include "lconfig.h"
#include "reuse/config.h"
#include "embed_version.h"

/* reuse include directives */
#include <reuse/osdeps.h>
#include <reuse/xalloc.h>
#include <reuse/logger.h>

#include <string.h>

char *
os_GetLastname(char const *path)
{
  int len, i;

  if (!path) return xstrdup("");

  i = len = strlen(path);
  while (i > 0 && path[i - 1] != '/' && path[i - 1] != '\\' && path[i - 1] != ':') {
    --i;
  }
  return xstrdup(path + i);
}

#if REUSE_COMPILE_CVSID - 0 != 0
static char const rcsid [] =
"$Id: os_getlastname.c 551 2010-01-12 19:42:10Z cher $";
#endif /* REUSE_COMPILE_CVSID */

/*
 * Local variables:
 *  compile-command: "make -C ../.."
 * End:
 */
